<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/colorPrimary">


    <com.seatel.mobilehall.util.customview.CustomTextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginBottom="@dimen/margin_2x_size"
        android:text="My QR Code"
        android:textColor="@color/white"
        android:textSize="@dimen/large_text_size"
        android:textStyle="bold"
        app:layout_constraintBottom_toTopOf="@+id/rl_qr_code"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

    <RelativeLayout
        android:id="@+id/rl_qr_code"
        android:layout_width="400dp"
        android:layout_height="400dp"
        android:background="@drawable/ic_qr_logo"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/iv_my_qr"
            android:layout_width="150dp"
            android:layout_height="150dp"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="80dp" />

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/tv_message"
            android:layout_width="200dp"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="100dp"
            android:gravity="center"
            android:textSize="@dimen/large_text_size"
            android:visibility="invisible" />

        <com.seatel.mobilehall.util.customview.ErrorHandleView
            android:id="@+id/error_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true" />
    </RelativeLayout>


</androidx.constraintlayout.widget.ConstraintLayout>